import time
import common
#
from System.Collections.Generic import List
from System import Byte, Int32
#
Origin_X = Player.Position.X
Origin_Y = Player.Position.Y 
#Player.ToggleAlwaysRun()
route = PathFinding.Route()
route.X = Player.Position.X
route.Y = Player.Position.Y - 100
#route.Timeout=20
#
PathFinding.Go(route)

def main():
    x,y = Origin_X, Origin_Y
    myCustomRunner(x,y)


def myCustomRunner(x,y):
    while True:
        checkEnemy()
        path = PathFinding.GetPath(x, y, False)
        if path is None:
          Player.HeadMessage(54, "PathFinding Failed")
          return False
          
        pathlen = len(path)
        if PathFinding.RunPath(path, timeout = 5):
            Player.HeadMessage(22, "At end of path")
            return True

        path = PathFinding.GetPath(x, y) 
        if len(path) > pathlen:
            Player.HeadMessage(11, "Weird, the new path length is greater than the previous path length")
            return False
            
#
def checkEnemy():
    enemy_filter = Mobiles.Filter()
    enemy_filter.Enabled = True
    enemy_filter.CheckLineOfSite = True
    enemy_filter.RangeMin = -1
    enemy_filter.RangeMax = 11
    enemy_filter.Notorieties = List[Byte](bytes([3,4,5,6]))
    enemy_filter.CheckIgnoreObject = True
    enemies = Mobiles.ApplyFilter(enemy_filter)
    if len(enemies) > 0:
        Misc.SendMessage("Maybe stop and kill them?")
        Misc.Pause(100)
        
#main()